KDE 4.2 PyKDE API Reference

- KDE's Python API

# List Class Reference

`from PyKDE4.kio import *`

Namespace: KBookmark

## Detailed Description

KUrl.Bookmark is a QList that contains bookmarks with a few convenience methods.

See also:
  KBookmark

See also:
  QList

## Methods

| __init__ (self)
| populateMimeData (self, QMimeData mimeData)

## Static Methods

bool | canDecode (QMimeData mimeData)
KBookmark.List | fromMimeData (QMimeData mimeData)
QStringList | mimeDataTypes ()

## Method Documentation

__init__ | ( |  | self ) |

bool canDecode | ( | QMimeData | mimeData
| ) |  |  |

Return true if mimeData contains bookmarks

KBookmark.List fromMimeData | ( | QMimeData | mimeData
| ) |  |  |

Extract a list of bookmarks from the contents of mimeData. Decoding will fail if mimeData does not contain any bookmarks.

Parameters:

  | mimeData | the mime data to extract from; cannot be 0

Returns:
  the list of bookmarks

Note:
  those bookmarks are valid QDomElements, but their parent QDomDocument is already deleted, do not use ownerDocument()

QStringList mimeDataTypes | ( |  | ) |

Return the list of mimeTypes that can be decoded by fromMimeData

populateMimeData | ( | self, |
|  | QMimeData | mimeData
| ) |  |  |

Adds this list of bookmark into the given QMimeData.

Parameters:

  | mimeData | the QMimeData instance used to drag or copy this bookmark